package com.unissoft;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年11月17日 15:16
 */
@SpringBootApplication
@EnableDiscoveryClient//注册中心能够发现，扫描到改服务;不同点：@EnableEurekaClient只适用于Eureka作为注册中心，@EnableDiscoveryClient 可以是其他注册中心
@MapperScan("com.unissoft.mapper")
public class OauthStart {

    public static void main(String[] args) {
        System.setProperty("jasypt.encryptor.password", "UNIS6itulv73I2p0Smart8JMXoaxZTKJ8GRP");
        SpringApplication.run(OauthStart.class, args);
    }
}
