package com.unissoft.mapper;

import com.unissoft.dto.BaseDto;
import com.unissoft.model.OauthClientDetailsModel;
import com.unissoft.model.SysUser;
import com.unissoft.model.SysUserPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公共接口
 */
public interface PublicMapper {

    SysUser getUserByName(String name);

    List<BaseDto> getRoleByUserId(int userId);

    OauthClientDetailsModel getOauthClientDetailsByClientId(String clientId);

    String getResourceIdsByClientId(String clientId);

    SysUserPO getByUserName(@Param("userName") String userName);
}
